=== requirements.txt ===
# required:
requests<2.15,>=2.2
pyxdg
dnspython
# optional:
argcomplete
