=== debian/changelog ===
linkchecker (9.4.0-2ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:15 +0100

linkchecker (9.4.0-2ubuntu2) focal; urgency=medium

  * Don't hard-code python.
  * Use python2 in the build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:21:33 +0100

linkchecker (9.4.0-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:36:09 +0000

linkchecker (9.4.0-2) unstable; urgency=medium

  * add missing dependencies (Closes: #897462, #901780)
  * remove old apache2.2 compat shims (Closes: #775087)
  * remove .desktop file from commandline tool (Closes: #901782, #780488)
  * silence various lintian warnings:
    * follow apache policy more closely
    * rename apache config file
    * ignore false positives on old 2.2 apache config matches
    * removing old pycompat
    * clear out whitespace in changelog
    * update standards to 4.1.4
    * remove conflict with version from squeeze and earlier
    * reformat copyright file to comply with dep5
    * bump dh compat to 11 and fix docs install

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 21 Jun 2018 11:48:01 -0400

linkchecker (9.4.0-1) unstable; urgency=low

  [ Bastian Kleineidam ]
  * Remove build-depend on hardening-wrapper since the appropriate
    GCC environment vars are already set by dh_auto_* helpers.

  [ Antoine Beaupré ]
  * New upstream release (Closes: #847208, #878942)
  * Take over maintainership. Maintainer is part of the upstream GitHub
    organization that is trying to continue maintain the project while
    calvin@ is emeritus.
  * Add git-buildpackage configuration
  * Remove two patches factored in upstream
  * Add missing setuptools dependency
  * Remove the GUI binary package, split out upstream (Closes: #875032)
  * Update copyright file to follow upstream changes
  * Fix upstream urls to the new organization
  * Ignore files not packaged in upstream tarball
  * Disable manual .mo file install so that build works at all
  * Include cgi-bin readme to clarify web configuration (Closes: #775088)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 11 Apr 2018 20:15:00 -0400
