=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python2,
               gettext,
               python-all-dev,
               python-requests (>= 2.2.1),
               python-setuptools,
               python-urllib3,
X-Python-Version: >= 2.7
Standards-Version: 4.1.4
Homepage: https://linkcheck.github.io/linkchecker/

Package: linkchecker
Architecture: any
Depends: python-requests (>= 2.2.1),
         python-urllib3,
         python-xdg,
         python-dnspython,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Suggests: clamav-daemon,
          linkchecker-web,
          python-argcomplete,
          python-cssutils,
          python-gconf,
          python-geoip,
          python-meliae
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
  o HTML and CSS syntax check
  o Antivirus check

Package: linkchecker-web
Architecture: all
Depends: linkchecker,
         ${misc:Depends},
         ${python:Depends}
Recommends: apache2 | httpd,
            libapache2-mod-wsgi | httpd-wsgi
Description: check websites and HTML documents for broken links (web client)
 Provides a web interface to check links of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support
