## linkchecker 10.0.0

=== debian/changelog ===
linkchecker (10.0.0-1) unstable; urgency=medium

  * fix syntax of lists (Closes: #935529)
  * new upstream release:
    * removes GUI support (Closes: #934458)
    * ported to Python 3 (Closes: #936950)
  * fix python3 dependencies (Closes: #953375)
  * remove last debian-specific patch, merged upstream

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 27 Jan 2021 15:16:44 -0500
