## linkchecker 10.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This Makefile is only used by developers.
-PYVER:=2.7
+PYVER:=3
 PYTHON?=python$(PYVER)
 VERSION:=$(shell $(PYTHON) setup.py --version)
 PLATFORM:=$(shell $(PYTHON) -c "from __future__ import print_function; from distutils.util import get_platform; print(get_platform())")
@@ -9,7 +9,7 @@
 LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
 ARCHIVE_SOURCE_EXT:=gz
 ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.$(ARCHIVE_SOURCE_EXT)
-GITUSER:=wummel
+GITUSER:=linkchecker
 GITREPO:=$(LAPPNAME)
 HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME)-webpage.git
 WEB_META:=doc/web/app.yaml
@@ -34,7 +34,7 @@
 PAGER ?= less
 # options to run the pep8 utility
 PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
-   --exclude="gzip2.py,httplib2.py,robotparser2.py"
+   --exclude="robotparser2.py"
 PY2APPOPTS ?=
 ifeq ($(shell uname),Darwin)
   CHMODMINUSMINUS:=
@@ -53,8 +53,6 @@
 clean:
 	-$(PYTHON) setup.py clean --all
 	rm -f $(LAPPNAME)-out.* *-stamp*
-	$(MAKE) -C linkcheck/HtmlParser clean
-	rm -f linkcheck/network/_network*.so
 	find . -name '*.py[co]' -exec rm -f {} \;
 	find . -name '*.bak' -exec rm -f {} \;
 	find . -depth -name '__pycache__' -exec rm -rf {} \;
@@ -68,18 +66,12 @@
 	rm -rf $(APPNAME)-$(VERSION)
 	rm -rf coverage dist-stamp python-build-stamp*
 
-MANIFEST: MANIFEST.in setup.py
-	$(PYTHON) setup.py sdist --manifest-only
-
 locale:
 	$(MAKE) -C po
 
 # to build in the current directory
-localbuild: MANIFEST locale
-	$(MAKE) -C linkcheck/HtmlParser
+localbuild: locale
 	$(PYTHON) setup.py build
-	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/HtmlParser/htmlsax*.so linkcheck/HtmlParser
-	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/network/_network*.so linkcheck/network
 
 release: distclean releasecheck filescheck
 	$(MAKE) dist sign register upload homepage tag changelog deb
@@ -127,7 +119,7 @@
 	-chmod -R a+rX,u+w,go-w $(CHMODMINUSMINUS) *
 	find . -type d -exec chmod 755 {} \;
 
-dist: locale MANIFEST chmod
+dist: locale chmod
 	rm -f dist/$(ARCHIVE_SOURCE)
 	$(PYTHON) setup.py sdist --formats=tar
 	gzip --best dist/$(APPNAME)-$(VERSION).tar
@@ -171,7 +163,7 @@
 pyflakes:
 	pyflakes $(PY_FILES_DIRS) 2>&1 | \
           grep -v "local variable 'dummy' is assigned to but never used" | \
-          grep -v -E "'(biplist|setuptools|win32com|find_executable|parse_sitemap|parse_sitemapindex|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
+          grep -v -E "'(setuptools|win32com|find_executable|parse_sitemap|parse_sitemapindex|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
