=== po/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 MSGFMT := msgfmt
 MSGMERGE := msgmerge
 POSOURCES = $(shell find ../linkcheck -name \*.py) \
-	../linkchecker /usr/lib/python2.7/argparse.py
+	../linkchecker $(shell python3 -c 'import argparse; print(argparse.__file__)')
 LDIR = ../share/locale
 PACKAGE = linkchecker
 TEMPLATE = $(PACKAGE).pot
@@ -10,7 +10,7 @@
 LFILE = LC_MESSAGES/$(PACKAGE).mo
 # defined language (add new languages here)
 LANGUAGES = de fr es
-MOFILES = $(wildcard *.po)
+MOFILES = $(wildcard *.mo)
 
 all:	$(MOFILES)
 
@@ -27,12 +27,6 @@
 	  --msgid-bugs-address=$(MYMAIL) -o $(TEMPLATE) \
 	  --keyword=_n:1,2 $(POSOURCES)
 
-%.mo:	%.po
-	if [ ! -d $(LDIR)/$*/LC_MESSAGES ]; then \
-	  mkdir -p $(LDIR)/$*/LC_MESSAGES; \
-	fi
-	$(MSGFMT) -c --statistics -o $(LDIR)/$*/$(LFILE) $<
-
 clean:
 	@for f in $(LANGUAGES); do rm -f $(LDIR)/$$f/$(LFILE); done
 	rm -f *.mo *.bak
