=== debian/changelog ===
linkchecker (10.0.1-2build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:53 +0000

linkchecker (10.0.1-2) unstable; urgency=medium

  * fix Python3 depends in linkchecker-web (Closes: #966754)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 09 Mar 2021 09:29:16 -0500

linkchecker (10.0.1-1) unstable; urgency=medium

  * new upstream release, clarifying deps

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 15:23:09 -0500
