=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_configure:
 # make sure docs are generated and the manifest is built
 	$(MAKE) locale
-	python2 setup.py sdist --manifest-only
+	dh_auto_configure --buildsystem pybuild
 
 override_dh_auto_build:
 # force usage of setup.py over Makefile
@@ -50,8 +50,3 @@
 
 # do not run test suite when building
 override_dh_auto_test:
-
-# use xz for debian binary package compression
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
