=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/linkcheck/linkchecker/tags .*/archive/v?((?:\d+\.?)*)\.tar\.gz
