=== debian/changelog ===
linkchecker (10.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-requests.
    + linkchecker: Drop versioned constraint on python3-requests in Depends.
  * Trim trailing whitespace.

  [ Antoine Beaupré ]
  * new upstream release
  * include-binaries: removed, fixed upstream
  * copyright: update date, cleanup missing files
  * watch: follow fork remerge

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 06 Sep 2022 15:49:07 -0400
