=== debian/control ===
--- 
+++ 
@@ -2,23 +2,32 @@
 Section: web
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                gettext,
                python3-all-dev,
-               python3-requests (>= 2.2.1),
+               python3-tomli,
+               python3-packaging,
+               python3-pip,
+               python3-pyparsing,
+               python3-requests,
                python3-setuptools,
+               python3-setuptools-scm,
+               python3-typing-extensions,
                python3-urllib3,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://linkcheck.github.io/linkchecker/
+Vcs-Git: https://salsa.debian.org/python-team/packages/linkchecker.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/linkchecker
 
 Package: linkchecker
 Architecture: any
 Depends: python3,
-         python3-requests (>= 2.2.1),
+         python3-bs4 (>= 4.8.1),
+         python3-requests,
          python3-urllib3,
          python3-xdg,
-         python3-dnspython,
+         python3-dnspython (>= 2.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -52,7 +61,7 @@
 Package: linkchecker-web
 Architecture: all
 Depends: linkchecker,
-         python,
+         python3,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: apache2 | httpd,
