=== debian/changelog ===
linkchecker (10.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 29 Jan 2023 21:20:45 -0500
