=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                gettext,
+               pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-tomli,
                python3-packaging,
                python3-pip,
                python3-pyparsing,
                python3-requests,
-               python3-setuptools,
-               python3-setuptools-scm,
                python3-typing-extensions,
                python3-urllib3,
 Standards-Version: 4.1.5
@@ -26,7 +27,6 @@
          python3-bs4 (>= 4.8.1),
          python3-requests,
          python3-urllib3,
-         python3-xdg,
          python3-dnspython (>= 2.0),
          ${misc:Depends},
          ${python3:Depends},
