## linkchecker 10.3.0

=== debian/changelog ===
linkchecker (10.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 19 Sep 2023 09:57:07 -0400
