=== debian/changelog ===
linkchecker (10.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1030006)
  * Fix mod-wsgi dependency (Closes: #1037294)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 12 Dec 2023 11:08:41 -0500
