## linkchecker 10.5.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 	twine upload dist/LinkChecker*
 
 homepage: linkcheck/_release.py
-	make -C doc code
 	make -C doc html
 
 dist:
