=== debian/changelog ===
linkchecker (10.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python3-tomli from build-dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sat, 26 Jul 2025 01:50:03 +0200

linkchecker (10.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 27 Nov 2024 13:58:46 -0500
