=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                python3-all-dev,
                python3-hatchling,
                python3-hatch-vcs,
-               python3-tomli,
                python3-packaging,
                python3-pip,
                python3-pyparsing,
@@ -65,7 +64,7 @@
          ${misc:Depends},
          ${python3:Depends}
 Recommends: apache2 | httpd,
-            libapache2-mod-wsgi | httpd-wsgi
+            libapache2-mod-wsgi-py3 | httpd-wsgi
 Description: check websites and HTML documents for broken links (web client)
  Provides a web interface to check links of websites and HTML documents.
  Features:
