=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@ --with python3
@@ -45,7 +48,11 @@
 	install -m 644 config/linkchecker.apache2.conf $(ETCDIRWEB)/apache2/conf-available/linkchecker-web.conf
 
 # clean generated files
-override_dh_clean:
+#
+# this also skips the upstream `make clean` target which shells out to
+# git instead of properly cleaning up its own files
+override_dh_auto_clean:
+	dh_auto_clean --buildsystem pybuild
 	dh_clean doc/html/*.qch doc/html/*.qhc _LinkChecker_configdata.py
 
 # do not run test suite when building
