## linkchecker 10.6.0

=== debian/changelog ===
linkchecker (10.6.0-2) unstable; urgency=medium

  * acknowledge silent NMU from tchet, notified him by email

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 05 Feb 2026 10:34:21 -0500

linkchecker (10.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 05 Feb 2026 10:23:17 -0500
